# Maintainer: Rafael <rafael@rebornos.org>

pkgname=cnchi-mirrors
rmirrors=reborn-mirrorlist
amirrors=mirrorlist
pkgver=20211201
pkgrel=1
pkgdesc="RebornOS mirrors (reborn-mirrorlist and mirrorlist)"
arch=('any')
url="https://gitlab.com/rebornos-team/installers/cnchi/patches/cnchi-mirrors"
_url="https://gitlab.com/rebornos-team/rebornos-special-system-files/mirrors"
license=('GPL3')
source=("${_url}/${rmirrors}/-/raw/master/${rmirrors}"
        "${_url}/${amirrors}/-/raw/master/${amirrors}")
sha256sums=('768f115932c9175f0090b4a1033c053ed873ed458b1c2d480807e43294c1d6ab'
            'f03a1b59ae6c9e5c7048c1417a0c60aed7cca22e018e40440a1224841d848df5')

pkgver() {
    date +%Y%m%d
}

package() {
    mkdir -p ${pkgdir}/home/rebornos/Downloads/
    install -Dm644 ${srcdir}/${rmirrors} ${pkgdir}/home/rebornos/Downloads/${rmirrors}
    install -Dm644 ${srcdir}/${amirrors} ${pkgdir}/home/rebornos/Downloads/${amirrors}
}
